#!/bin/bash

set -ex

NAME=squishyfish

git submodule update --init --recursive

rm debug release 2>/dev/null || true

find src | grep -E "\.template$" | while read FILE; do
	ruby tools/builder/tools/embed.rb "$FILE"
done

ruby tools/builder/build.rb src/$NAME.build.json
mv obj/$NAME.bin $NAME.debug
cp $NAME.debug{,.tmp}
mv $NAME.debug.tmp $NAME
strip $NAME

