#include "model/video.h"
#include "controller/channel.h"

#include "http/server/request.h"
#include "collections/array.h"

#include <string.h>
#include <stdio.h>

void show_video_list( struct http_request* req, struct video_list* vl )
{
	http_request_send_headers( req, 200, "text/html", true );
	FILE* f = http_request_get_response_body( req );
	#include "view/video/list.html.inc"
}

bool handle_channel( struct http_request* req )
{
	struct video_list vl;
	memset(&vl,0,sizeof(vl));

	struct video* v = video_from_id(1);
	if( v ) {
		array_append( &vl, sizeof(v), &v );
	}

	show_video_list(req,&vl);

	video_list_free(&vl);

	return true;
}
