#include "controller/main.h"
#include "controller/channel.h"

// Submodules
#include "http/server/request.h"

bool route_request( struct http_request* req )
{
	if( http_request_route( req, "/@" ) ) {
		// Channels
		return handle_channel( req );
	}

	return false;
}

void handle_request( struct http_request* req, void* )
{
	//printf( "Handling request from %s\n", http_request_get_remote_host_address( req ) );

	if( !route_request( req ) ) {
		FILE* f = http_request_get_response_body( req );
		http_request_send_headers( req, 404, "text/html", true );
		#include "view/404.html.inc"
	}

	fflush(stdout);
}
