#pragma once

struct video
{
	int id;

	char* video_file;
	char* title;
	char* description;

	char* original_url;

	int owner_id;
};

struct video_list
{
	struct video** items;
	int count;
};

struct video* video_new();
struct video* video_from_id( int id );
void video_free( struct video* v );
void video_list_free( struct video_list* vl );

